[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# GetEnumNameCount

Return number of names in an enumerated type

## Declaration

Source position: typinfo.pp line 360

`function GetEnumNameCount(`
`enum1: PTypeInfo`
`):SizeInt;`

## Description

GetEnumNameCount returns the number of values (names) in the enumerated type, described by enum1

## Errors

No checking is done to see whether Enum1 is really type information of an enumerated type.

## See also

GetEnumValue |  | Get ordinal value for enumerated type by name
GetEnumName |  | Return name of enumeration constant.

Documentation generated on: Feb 26 2014